Retrieve Object Collection
GET
/api/{version}/metadata/vobjectsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
loc | To retrieve localized (translated) strings, include the parameter loc=true. See the next request below for details. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.3/metadata/vobjectsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"objects": [
{
"url": "/api/v20.3/metadata/vobjects/product__v",
"label": "Product",
"name": "product__v",
"label_plural": "Products",
"prefix": "00P",
"order": 1,
"in_menu": true,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/country__v",
"label": "Country",
"name": "country__v",
"label_plural": "Countries",
"prefix": "00C",
"order": 2,
"in_menu": true,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/application_role__v",
"label": "Application Role",
"name": "application_role__v",
"label_plural": "Application Role",
"prefix": "0AR",
"in_menu": true,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/doc_type_group__v",
"label": "Document Type Group",
"name": "doc_type_group__v",
"label_plural": "Document Type Groups",
"prefix": "0DG",
"order": 3,
"in_menu": true,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/doc_type_detail__v",
"label": "Document Type Detail",
"name": "doc_type_detail__v",
"label_plural": "Document Type Details",
"prefix": "0DT",
"in_menu": false,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/user_role_setup__v",
"label": "User Role Setup",
"name": "user_role_setup__v",
"label_plural": "User Role Setup",
"prefix": "0MY",
"in_menu": true,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/binder_metadata__v",
"label": "Binder Section Metadata",
"name": "binder_metadata__v",
"label_plural": "Binder Sections Metadata",
"prefix": "OBD",
"in_menu": false,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/vault_component__v",
"label": "Vault Component",
"name": "vault_component__v",
"label_plural": "Vault Components",
"prefix": "0CD",
"in_menu": false,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/outbound_package__v",
"label": "Outbound Package",
"name": "outbound_package__v",
"label_plural": "Outbound Packages",
"prefix": "0PO",
"in_menu": false,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/package_component__v",
"label": "Package Component",
"name": "package_component__v",
"label_plural": "Package Components",
"prefix": "0CP",
"in_menu": false,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/directory__v",
"label": "Directory",
"name": "directory__v",
"label_plural": "Directories",
"prefix": "0DI",
"order": 4,
"in_menu": true,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/survey__v",
"label": "Survey",
"name": "survey__v",
"label_plural": "Surveys",
"prefix": "0SV",
"order": 5,
"in_menu": true,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/distribution__v",
"label": "Distribution",
"name": "distribution__v",
"label_plural": "Distributions",
"prefix": "0DS",
"in_menu": false,
"source": "standard",
"status": [
"active__v"
]
},
{
"url": "/api/v20.3/metadata/vobjects/crm_org__v",
"label": "CRM Org",
"name": "crm_org__v",
"label_plural": "CRM Orgs",
"prefix": "0CO",
"in_menu": false,
"source": "standard",
"status": [
"active__v"
]
}
]
}Response Details
Section link for Response DetailsThe response includes a summary of key information (url, label, name, prefix, status, etc.) for all standard and custom Vault Objects configured in your Vault.
Retrieve Localized Strings
Section link for Retrieve Localized StringsQuery Parameters
Section link for Query Parameters| Name | Description |
|---|---|
loc | Set to true to retrieve localized (translated) strings for the label and label_plural object fields. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.3/metadata/vobjects?loc=trueResponse (abridged)
Section link for Response (abridged){
"responseStatus": "SUCCESS",
"objects": [
{
"url": "/api/v20.3/metadata/vobjects/product__v",
"label": "Product",
"name": "product__v",
"label_plural": "Products",
"prefix": "00P",
"order": 1,
"in_menu": true,
"source": "standard",
"status": [
"active__v"
],
"localized_data": {
"label_plural": {
"de": "Produkte",
"ru": "Продукты",
"kr": "제품",
"en": "Products",
"pt_BR": "Produtos",
"it": "Prodotti",
"fr": "Produits",
"es": "Productos",
"zh": "产品",
"zh_TW": "產品",
"ja": "製品",
"pl": "Produkty",
"tr": "Ürünler",
"pt_PT": "Produtos"
},
"label": {
"de": "Produkt",
"ru": "Продукт",
"kr": "제품",
"en": "Product",
"pt_BR": "Produto",
"it": "Prodotto",
"fr": "Produit",
"es": "Producto",
"zh": "产品",
"zh_TW": "產品",
"ja": "製品",
"pl": "Produkt",
"tr": "Ürün",
"pt_PT": "Produto"
}
}
},
]
}Response Details
Section link for Response DetailsWhen localized data is requested, the response includes an additional localized_data field. This contains translated fields and field values on each object field for which localized strings have been configured. This data is only available at the object and field level and only if localized strings have been configured on objects in your Vault.